Zum Hauptinhalt springen
PATCH
/
marketing
/
forms
/
2026-09-beta
/
{formId}
Formular teilweise aktualisieren
curl --request PATCH \
  --url https://api.hubapi.com/marketing/forms/2026-09-beta/{formId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "archived": true,
  "fieldGroups": [
    {
      "fields": [
        {
          "dependentFields": [
            {
              "dependentCondition": {
                "rangeEnd": "<string>",
                "rangeStart": "<string>",
                "value": "<string>",
                "values": [
                  "<string>"
                ]
              },
              "dependentField": "<unknown>"
            }
          ],
          "fieldType": "email",
          "hidden": true,
          "label": "<string>",
          "name": "<string>",
          "objectTypeId": "<string>",
          "required": true,
          "validation": {
            "blockedEmailDomains": [
              "<string>"
            ],
            "useDefaultBlockList": true
          },
          "defaultValue": "<string>",
          "description": "<string>",
          "placeholder": "<string>"
        }
      ],
      "richText": "<string>"
    }
  ],
  "legalConsentOptions": {
    "type": "none"
  },
  "name": "<string>"
}
'
{
  "archived": true,
  "configuration": {
    "allowLinkToResetKnownValues": true,
    "archivable": true,
    "cloneable": true,
    "createNewContactForNewEmail": true,
    "editable": true,
    "lifecycleStages": [
      {
        "objectTypeId": "<string>",
        "value": "<string>"
      }
    ],
    "notifyContactOwner": true,
    "notifyRecipients": [
      "<string>"
    ],
    "postSubmitAction": {
      "value": "<string>"
    },
    "prePopulateKnownValues": true,
    "recaptchaEnabled": true
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "displayOptions": {
    "renderRawHtml": true,
    "style": {
      "backgroundWidth": "<string>",
      "fontFamily": "<string>",
      "helpTextColor": "<string>",
      "helpTextSize": "<string>",
      "labelTextColor": "<string>",
      "labelTextSize": "<string>",
      "legalConsentTextColor": "<string>",
      "legalConsentTextSize": "<string>",
      "submitColor": "<string>",
      "submitFontColor": "<string>",
      "submitSize": "<string>"
    },
    "submitButtonText": "<string>",
    "cssClass": "<string>"
  },
  "fieldGroups": [
    {
      "fields": [
        {
          "dependentFields": [
            {
              "dependentCondition": {
                "rangeEnd": "<string>",
                "rangeStart": "<string>",
                "value": "<string>",
                "values": [
                  "<string>"
                ]
              },
              "dependentField": "<unknown>"
            }
          ],
          "fieldType": "email",
          "hidden": true,
          "label": "<string>",
          "name": "<string>",
          "objectTypeId": "<string>",
          "required": true,
          "validation": {
            "blockedEmailDomains": [
              "<string>"
            ],
            "useDefaultBlockList": true
          },
          "defaultValue": "<string>",
          "description": "<string>",
          "placeholder": "<string>"
        }
      ],
      "richText": "<string>"
    }
  ],
  "formType": "hubspot",
  "id": "<string>",
  "legalConsentOptions": {
    "type": "none"
  },
  "name": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "archivedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

formId
string
erforderlich

Die eindeutige Kennung des zu aktualisierenden Formulars.

Body

application/json
archived
boolean

Ob dieses Formular archiviert ist.

configuration
object
displayOptions
object
fieldGroups
object[]

Die Felder im Formular, gruppiert in Zeilen.

Konfiguration der Compliance-Optionen für rechtliche Einwilligung und Datenverarbeitung. Unterstützt werden: none, legitimate_interest, explicit_consent_to_process, implicit_consent_to_process.

name
string

Der Name des Formulars. Muss für ein Produkt eindeutig sein.

Antwort

successful operation

archived
boolean
erforderlich
configuration
object
erforderlich
createdAt
string<date-time>
erforderlich
displayOptions
object
erforderlich
fieldGroups
object[]
erforderlich
formType
enum<string>
Standard:hubspot
erforderlich
Verfügbare Optionen:
hubspot
id
string
erforderlich
name
string
erforderlich
updatedAt
string<date-time>
erforderlich
archivedAt
string<date-time>
Last modified on April 13, 2026